=== debian/changelog ===
bmake (20131001-4) unstable; urgency=low

  * Don't include OS prefix in MACHINE_ARCH (Closes: #735856, patch by
    Robert Millan).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 18 Jan 2014 03:17:05 +0100

bmake (20131001-3) unstable; urgency=low

  * Add patch to fix segfault in hash.c, drop old var.c patch.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 04 Jan 2014 16:21:42 +0100

bmake (20131001-2) unstable; urgency=low

  * Check for sysctl(2) presence (unbreaks build for Hurd).
  * Clean up pkgsrc mk files:
    - Set correct MACHINE_GNU_PLATFORM.
    - Don't try to link against crtBegin.o explicitly.
    - Eliminate the need for a separate "debian" machine type.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 31 Dec 2013 18:45:49 +0100

bmake (20131001-1) unstable; urgency=low

  * New upstream release.
  * Set MAKE_VERSION variable (Closes: #733654).
  * Update copyright information.
  * Drop old manpage patch, rename make(1) to bmake(1).
  * Set real OS variable in sys.mk.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 31 Dec 2013 00:10:55 +0100

bmake (20130904-1) unstable; urgency=low

  * Rename the package to bmake, add a transitional package (Closes: #627983).
  * New upstream release

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 22 Sep 2013 16:07:33 +0200

pmake (20130730-3) unstable; urgency=low

  * Disable MAKEFLAGS patch, apparently it breaks more than fixes.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 22 Sep 2013 15:31:06 +0200

pmake (20130730-2) unstable; urgency=low

  * Provide bmake.
  * Add buildsystem addon for debhelper.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 15 Aug 2013 02:52:01 +0200

pmake (20130730-1) unstable; urgency=low

  * New maintainer.
  * New release based on bmake-20130730.
  * The main binary is now bmake, pmake is a compatibility symlink.
  * Use debhelper 9.
  * Bump Standards-Version to 3.9.4.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 14 Aug 2013 22:55:06 +0200

pmake (1.111-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Mark pmake as Multi-Arch: foreign.  The default configuration does
    differ on different architectures, but it can be overridden by setting
    MACHINE_ARCH and MACHINE_MULTIARCH (closes: #694907).
  * Use correct compiler when cross-building (closes: #694909).

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Jun 2013 11:27:37 +0100

pmake (1.111-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "powerpc and sparc64 considered as incomplete"
    Patch by Aurelien Jarno
    Closes: 640919

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 22 Sep 2011 08:39:25 +1000

pmake (1.111-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix missing -Wl for linker arguments
    Patch by Guillem Jover
    Closes: 628677

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 Jun 2011 18:55:30 +1000

pmake (1.111-3) unstable; urgency=low

  * 100_mk.diff: prepend -Wl for linker-only flags (Closes: 610516).
  * 140_multiarch.diff: new patch for multiarch, courtesy of Guillem Jover;
    fixes hardcoded paths (Closes: #626877).
  * 150_mktemp.diff: new patch, replace insecure temporary file handling with
    proper mktemp use, courtesy of Matej Vela (Closes: 626673).

 -- Sam Hocevar <sho@debian.org>  Sun, 29 May 2011 15:44:08 +0200

pmake (1.111-2) unstable; urgency=low

  [ Sam Hocevar <sho@debian.org> ]
  * Switch package to 3.0 (quilt) format.
  * debian/patches: rough split of the old patch.
  * debian/control: set policy to 3.8.3.

  [ Thorsten Glaser <tg@mirbsd.de> ]
  * Port to hurd-i386 (Closes: #547459)
    - make.h: define MAXPATHLEN if not defined (XXX kludge)
    - main.c: check sysconf(_PC_PATH_MAX) and bail out if larger than
      the defined kludge value; inform the user appropriately
    I’m doing it this way because this codebase is ancient, and to
    really fix this issue is not worth the effort. No activity in
    more than four years speaks for itself.
  * mk/sys.mk: We do not run NetBSD® but Debian. (Closes: #493839)
  * debian/rules: Replace 「dpkg --print-gnu-build-architecture」 with
    「dpkg-architecture -qDEB_HOST_ARCH_CPU」 to unbreak build.
  * debian/rules: Use -Wno-unused to clean up build messages.

 -- Sam Hocevar <sho@debian.org>  Mon, 21 Dec 2009 22:43:44 +0100

pmake (1.111-1) unstable; urgency=low

  * New upstream snapshot.
  * This version properly parses arguments and does not crash when parameters
    are missing (Closes: #287336, #316394).
  * debian/control:
    + Set policy to 3.6.2.1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  7 Jul 2005 10:20:56 +0200

pmake (1.98-3) unstable; urgency=low

  * mk/bsd.man.mk:
    + Use symlinks instead of hard links when using the MLINKS directive
      to link manual pages, courtesy of Robert Millan.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 12 Mar 2004 13:14:27 +0100

pmake (1.98-2) unstable; urgency=low

  * buf.c:
    + Work around a GCC 3 ICE on hppa.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 10 Mar 2004 18:43:16 +0100

pmake (1.98-1) unstable; urgency=low

  * New maintainer (Closes: #218804).
  * New upstream version from NetBSD HEAD (Closes: #134798).
  * Moved to a non-native package.
  * debian/rules:
    + Switched to debhelper.
  * main.c:
    + Parse $MAKE instead of $MAKEFLAGS when called from GNU make to avoid
      strange interactions (Closes: #189097).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 27 Feb 2004 16:04:12 +0100

pmake (1.45-11) unstable; urgency=low

  * Set defaults to match policy better. Closes: #150895. Thanks to 
    Matej Vela for the patch.

 -- Steve McIntyre <93sam@debian.org>  Sun, 30 Jun 2002 23:52:31 +0100

pmake (1.45-10) unstable; urgency=low

  * Fixed broken '.Nm ""' directives in the man page. Closes: #137768
  * Changed name from "make" to "pmake" in manpage.

 -- Steve McIntyre <93sam@debian.org>  Tue, 12 Mar 2002 21:59:55 +0000

pmake (1.45-9) unstable; urgency=low


