## bmake 20140620

=== debian/changelog ===
bmake (20140620-1) unstable; urgency=medium

  * New upstream release.
  * Set MACHINE_ARCH to mipseb on mips (Closes: #754416).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 12 Jul 2014 08:50:55 +0200
