=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 #export DH_VERBOSE=1
 
-ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+ARCH=$(patsubst mips,mipseb,$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU))
 MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 MAKE_VERSION=$(shell sed -n '/^MAKE_VERSION=/s,.*=[^0-9]*,,p' Makefile)
 CFLAGS=$(shell dpkg-buildflags --get CFLAGS) \
