=== debian/changelog ===
bmake (20160220-2) unstable; urgency=medium

  * Add README.Debian.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 06 Mar 2016 10:48:24 +0100

bmake (20160220-1) unstable; urgency=medium

  * New upstream release.
  * Add cleandir support to the dh helper.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 06 Mar 2016 10:26:15 +0100

bmake (20150606-2) unstable; urgency=medium

  * Fix a bug in the dh helper.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 05 Mar 2016 16:29:33 +0100
