## bmake 20181221

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,4 @@
-#	$Id: Makefile,v 1.53 2016/02/20 01:29:21 sjg Exp $
-
-# Base version on src date
-MAKE_VERSION= 20160220
+#	$Id: Makefile,v 1.99 2017/08/13 20:12:53 sjg Exp $
 
 PROG=	bmake
 
@@ -58,6 +55,8 @@
 	lstReplace.c \
 	lstSucc.c
 
+.-include "VERSION"
+
 # this file gets generated by configure
 .-include "Makefile.config"
 
@@ -76,7 +75,7 @@
 CFLAGS+= -D_PATH_DEFSYSPATH=\"${DEFAULT_SYS_PATH}\"
 CFLAGS+= -I. -I${srcdir} ${XDEFS} -DMAKE_NATIVE
 CFLAGS+= ${COPTS.${.ALLSRC:M*.c:T:u}}
-COPTS.main.c+= "-DMAKE_VERSION=\"${MAKE_VERSION}\""
+COPTS.main.c+= "-DMAKE_VERSION=\"${_MAKE_VERSION}\""
 
 # meta mode can be useful even without filemon 
 FILEMON_H ?= /usr/include/dev/filemon/filemon.h
@@ -131,9 +130,9 @@
 .include <own.mk>
 
 .if ${MK_PROG_VERSION} == "yes"
-PROG_NAME= ${PROG}-${MAKE_VERSION}
+PROG_NAME= ${PROG}-${_MAKE_VERSION}
 .if ${MK_PROG_LINK} == "yes"
-SYMLINKS+= ${PROG}-${MAKE_VERSION} ${BINDIR}/${PROG}
+SYMLINKS+= ${PROG_NAME} ${BINDIR}/${PROG}
 .endif
 .endif
 
@@ -156,7 +155,10 @@
 .NOPATH: ${MAN}
 ${MAN}:	make.1 my.history
 	@echo making $@
-	@sed -e 's/^.Nx/NetBSD/' -e '/^.Nm/s/make/${PROG}/' \
+	@sed \
+	-e '/^.Dt/s/MAKE/${PROG:tu}/' \
+	-e 's/^.Nx/NetBSD/' \
+	-e '/^.Nm/s/make/${PROG}/' \
 	-e '/^.Sh HISTORY/rmy.history' \
 	-e '/^.Sh HISTORY/,$$s,^.Nm,make,' ${srcdir}/make.1 > $@
 
@@ -189,11 +191,13 @@
 ${OBJS}: config.h
 .endif
 
+# start-delete2 for bsd.after-import.mk
+
 # make sure that MAKE_VERSION gets updated.
-main.o: ${SRCS} ${MAKEFILE}
-
-# start-delete2 for bsd.after-import.mk
+main.o: ${SRCS} ${.CURDIR}/VERSION
+
 .if ${MK_AUTOCONF_MK} == "yes"
+CONFIGURE_DEPS += ${.CURDIR}/VERSION
 .include <autoconf.mk>
 .endif
 SHARE_MK?=${SHAREDIR}/mk
