=== debian/changelog ===
bmake (20181221-2) unstable; urgency=high

  * Fix MAKE_VERSION detection.
  * Add a guard rules to prevent bmake with empty MAKE_VERSION
    from being uploaded.
  * Use debhelper-compat instead of debian/compat.
  * Trim trailing whitespace.
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Bump debhelper from old 9 to 12.
  * Move transitional package pmake to oldlibs/optional per policy
    4.0.1.
  * Set upstream metadata fields: Bug-Submit.
  * Drop unnecessary dependency on dh-autoconf.
  * Bump Standards-Version.
  * Update maintainer’s name.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 20 Jan 2020 16:39:48 +0100

bmake (20181221-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Add Vcs-* field

  [ Andrej Shadura ]
  * New upstream release.

  [ Philippe Grégoire ]
  * Add the appropriate -Wl flag for -soname (Closes: #821752).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 19 Dec 2019 16:16:05 +0100
