=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: bmake
 Section: devel
 Priority: optional
-Maintainer: Andrew Shadura <andrewsh@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9), groff, dh-autoreconf
+Maintainer: Andrej Shadura <andrewsh@debian.org>
+Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12), groff
 Homepage: http://www.crufty.net/help/sjg/bmake.html
+Vcs-Browser: https://salsa.debian.org/debian/bmake
+Vcs-Git: https://salsa.debian.org/debian/bmake.git
 
 Package: bmake
 Architecture: any
@@ -28,4 +30,4 @@
  to the new bmake package.
  .
  This dummy package may be safely removed after upgrading.
-
+Section: oldlibs
