=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 ARCH=$(patsubst mips,mipseb,$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU))
 MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-MAKE_VERSION=$(shell sed -n '/^MAKE_VERSION=/s,.*=[^0-9]*,,p' Makefile)
+MAKE_VERSION=$(shell sed -n -e '/MAKE_VERSION=[^0-9]*[0-9]/s,.*=[^0-9]*,,p' Makefile VERSION)
 CFLAGS=$(shell dpkg-buildflags --get CFLAGS) \
 	-D__COPYRIGHT\(x\)= -D__RCSID\(x\)= \
 	-I. -DMACHINE=\\\"debian\\\" -DMACHINE_ARCH=\\\"${ARCH}\\\" \
@@ -23,9 +23,10 @@
 endif
 
 %:
-	dh $@ --with=autoreconf
+	dh $@
 
 override_dh_auto_configure:
+	@[ -n "$(MAKE_VERSION)" ] || ( echo MAKE_VERSION not defined && exit 1 )
 	dh_auto_configure -- --with-machine=debian
 
 override_dh_auto_build:
