=== debian/changelog ===
bmake (20200710-17) unstable; urgency=medium

  * Sanitise MAKEFLAGS before passing them to bmake which does not
    support long options (Closes: #1109052).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 13 Jul 2025 17:23:12 +0200

bmake (20200710-16) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch and Homepage field.
  * Update standards version to 4.6.1, no changes needed.

  [ Andrej Shadura ]
  * Pmake package is now really gone, drop Breaks+Replaces.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 29 Jun 2023 12:15:43 +0200

bmake (20200710-15) unstable; urgency=medium

  [ Boyuan Yang ]
  * Fix build with autoconf 2.70 (Closes: #978773).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 30 Sep 2021 22:30:38 +0200

bmake (20200710-14) unstable; urgency=medium

  * Remove the bsd.*.mk autodetection now that we actually ship symlinks.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 02 Apr 2021 12:53:47 +0200

bmake (20200710-13) unstable; urgency=medium

  * Install bsd.*.mk symlinks similarly to what the upstream does
    (Closes: #986281)

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 02 Apr 2021 12:46:29 +0200

bmake (20200710-12) unstable; urgency=medium

  * Make sure debhelper is installed for the test it’s needed for.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 02 Apr 2021 10:56:28 +0200

bmake (20200710-11) unstable; urgency=medium

  * bmake.pm: Sanitise MAKEFLAGS before passing them to bmake
    (Closes: #906330).
  * Allow overriding testdir in tests through the environment.
  * Add a test for MAKEFLAGS sanitisation.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 01 Apr 2021 12:46:03 +0200

bmake (20200710-10) unstable; urgency=medium

  * Verify bmake returns exit code 2.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Mar 2021 13:01:07 +0100

bmake (20200710-9) unstable; urgency=medium

  * Add autopkgtest to test both bmake and pmake are sane.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Mar 2021 12:52:39 +0100

bmake (20200710-8) unstable; urgency=medium

  * preinst: Properly deal with other packages installing files under
    /usr/share/mk (Closes: #985347)
  * Fix day-of-week for changelog entry 1.45-7.
  * Update standards version to 4.5.0, no changes needed.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 16 Mar 2021 13:36:16 +0100

bmake (20200710-7) unstable; urgency=medium

  * bmake.pm: Drop autoconf support.
  * bmake.pm: Use .ALLTARGETS to verify the presence of targets.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 04 Feb 2021 20:49:27 +0100

bmake (20200710-6) unstable; urgency=medium

  * Move the NetBSD mk files to the new location (Closes: #975963).
  * Ship bmake makefiles as the default (Closes: #823185).
  * Provide a wrapper script for pmake (Closes: #966824).
  * Parse the bmake output in exists_make_target (Closes: #906330).
  * Provide a debhelper wrapper for pmake.
  * Detect Makefiles written for pmake and use pmake automatically.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 31 Jan 2021 17:07:18 +0100

bmake (20200710-5) unstable; urgency=medium

  * Ship debian.mk as a symlink to Linux.mk in the bmake mk files

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 26 Jul 2020 21:08:24 +0200

bmake (20200710-4) unstable; urgency=medium

  * Ship NetBSD mk files as the default /usr/share/mk
    (Reopens: #823185).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 26 Jul 2020 20:54:25 +0200

bmake (20200710-3) unstable; urgency=medium

  * Don’t attempt to install pmake (fixes FTBFS).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 25 Jul 2020 09:43:04 +0200

bmake (20200710-2) unstable; urgency=medium

  * No longer provide pmake.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 24 Jul 2020 21:10:09 +0200

bmake (20200710-1) unstable; urgency=medium

  * New upstream release (Closes: #957047).
  * Refresh patches and rules.
  * Ship bmake mk files (Closes: #823185).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 24 Jul 2020 20:11:00 +0200
