=== debian/tests/package-fixture/debian/changelog ===
package-fixture (0) UNRELEASED; urgency=medium

  * Nothing!

 -- Nobody <nobody@example.org>  Thu, 01 Apr 2021 00:00:00 +0000
