=== debian/tests/package-fixture/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pmake
