=== debian/watch ===
version=3
#http://ftp.netbsd.org/pub/NetBSD/misc/sjg/bmake-(\d{8})\.tar\.gz
https://www.crufty.net/ftp/pub/sjg/bmake-(.*)\.tar\.gz
